package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class StatusBed
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "StatusBed_M")
public class StatusBedVO extends BaseMasterVO {
	@Caption(value="Kode Status Bed")
	private Byte kdStatusBed;

	public void setKdStatusBed(Byte kdStatusBed) {
		this.kdStatusBed = kdStatusBed;
	}

	@Column(name = "KdStatusBed", nullable = false )
	public Byte getKdStatusBed(){
		return this.kdStatusBed;
	}

	@Caption(value="QStatus Bed")
	private Byte qStatusBed;

	public void setqStatusBed(Byte qStatusBed) {
		this.qStatusBed = qStatusBed;
	}

	@Column(name = "QStatusBed", nullable = false )
	public Byte getqStatusBed(){
		return this.qStatusBed;
	}

	@Caption(value="Status Bed")
	private String statusBed;

	public void setStatusBed(String statusBed) {
		this.statusBed = statusBed;
	}

	@Column(name = "StatusBed", nullable = false , length = 30)
	public String getStatusBed(){
		return this.statusBed;
	}


}

